Skip to main content
GET
/
api
/
v3
/
store
/
wishlists
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const wishlists = await client.store.wishlists.list({}, {
  bearerToken: '<token>',
})
{
  "data": [
    {
      "id": "wl_UkLWZg9DAJ",
      "name": "My Wishlist",
      "token": "umgE8Xa53fRj351uzEXq1F29",
      "created_at": "2026-03-06T16:06:49.443Z",
      "updated_at": "2026-03-06T16:06:49.443Z",
      "is_default": false,
      "is_private": true
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

page
integer
limit
integer
fields
string

Comma-separated list of fields to include (e.g., name,slug,price). id is always included.

Response

wishlists found

data
object[]
meta
object